use actix_web::{get, HttpResponse, web};
use actix_web::http::StatusCode;

#[get("/matrix/server")]
pub async fn get_matrix_server() -> HttpResponse {
    HttpResponse::build(StatusCode::OK)
        .content_type("application/json")
        .body("{ \"m.server\": \"matrix.neo.ixvd.net:443\" }")
}

#[get("/matrix/client")]
pub async fn get_matrix_client() -> HttpResponse {
    HttpResponse::build(StatusCode::OK)
        .content_type("application/json")
        .body("{ \"m.homeserver\": { \"base_url\": \"https://matrix.neo.ixvd.net:443\" } }")
}

pub fn configure(cfg: &mut web::ServiceConfig) {
    cfg.service(
        web::scope("/.well-known")
            .service(get_matrix_server)
            .service(get_matrix_client)
    );
}